﻿// <copyright file="DBContext.cs" company="Monosoft ApS">
// Copyright 2019 Monosoft ApS
//
// Licensed under the Apache License, Version 2."0"(the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//    http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// </copyright>

namespace Monosoft.Service.Zip2City.V1.Database
{
    using System;
    using System.Collections.Generic;
    using System.Text;

    public class ZipCodeInfo
    {
        public string zipCode { get; set;  }

        public string cityName { get; set;  }

        public string zipCodeRangeStart { get; set;  }

        #region zip code hardcode lists
        public static List<ZipCodeInfo> Denmark = new List<ZipCodeInfo>()
        {
            new ZipCodeInfo() { zipCode = "1500", cityName = "København K", zipCodeRangeStart = "1000" },
            new ZipCodeInfo() { zipCode = "1800", cityName = "København V", zipCodeRangeStart = "1501" },
            new ZipCodeInfo() { zipCode = "2000", cityName = "Frederiksberg C", zipCodeRangeStart = "1801" },
            new ZipCodeInfo() { zipCode = "2000", cityName = "Frederiksberg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2100", cityName = "København Ø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2150", cityName = "Nordhavn", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2200", cityName = "København N", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2300", cityName = "København S", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2400", cityName = "København NV", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2450", cityName = "København SV", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2500", cityName = "Valby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2600", cityName = "Glostrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2605", cityName = "Brøndby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2610", cityName = "Rødovre", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2620", cityName = "Albertslund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2625", cityName = "Vallensbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2630", cityName = "Taastrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2635", cityName = "Ishøj", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2640", cityName = "Hedehusene", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2650", cityName = "Hvidovre", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2660", cityName = "Brøndby Strand", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2665", cityName = "Vallensbæk Strand", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2670", cityName = "Greve", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2680", cityName = "Solrød Strand", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2690", cityName = "Karlslunde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2700", cityName = "Brønshøj", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2720", cityName = "Vanløse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2730", cityName = "Herlev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2740", cityName = "Skovlunde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2750", cityName = "Ballerup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2760", cityName = "Måløv", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2765", cityName = "Smørum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2770", cityName = "Kastrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2791", cityName = "Dragør", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2800", cityName = "Kongens Lyngby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2820", cityName = "Gentofte", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2830", cityName = "Virum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2840", cityName = "Holte", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2850", cityName = "Nærum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2860", cityName = "Søborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2870", cityName = "Dyssegård", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2880", cityName = "Bagsværd", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2900", cityName = "Hellerup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2920", cityName = "Charlottenlund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2930", cityName = "Klampenborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2942", cityName = "Skodsborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2950", cityName = "Vedbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2960", cityName = "Rungsted Kyst", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2970", cityName = "Hørsholm", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2980", cityName = "Kokkedal", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "2990", cityName = "Nivå", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3000", cityName = "Helsingør", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3050", cityName = "Humlebæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3060", cityName = "Espergærde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3070", cityName = "Snekkersten", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3080", cityName = "Tikøb", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3100", cityName = "Hornbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3120", cityName = "Dronningmølle", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3140", cityName = "Ålsgårde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3150", cityName = "Hellebæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3200", cityName = "Helsinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3210", cityName = "Vejby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3220", cityName = "Tisvildeleje", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3230", cityName = "Græsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3250", cityName = "Gilleleje", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3300", cityName = "Frederiksværk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3310", cityName = "Ølsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3320", cityName = "Skævinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3330", cityName = "Gørløse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3360", cityName = "Liseleje", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3370", cityName = "Melby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3390", cityName = "Hundested", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3400", cityName = "Hillerød", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3450", cityName = "Allerød", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3460", cityName = "Birkerød", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3480", cityName = "Fredensborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3490", cityName = "Kvistgård", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3500", cityName = "Værløse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3520", cityName = "Farum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3540", cityName = "Lynge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3550", cityName = "Slangerup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3600", cityName = "Frederikssund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3630", cityName = "Jægerspris", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3650", cityName = "Ølstykke", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3660", cityName = "Stenløse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3670", cityName = "Veksø Sjælland", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3700", cityName = "Rønne", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3720", cityName = "Aakirkeby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3730", cityName = "Nexø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3740", cityName = "Svaneke", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3751", cityName = "Østermarie", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3760", cityName = "Gudhjem", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3770", cityName = "Allinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3782", cityName = "Klemensker", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "3790", cityName = "Hasle", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4000", cityName = "Roskilde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4030", cityName = "Tune", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4040", cityName = "Jyllinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4050", cityName = "Skibby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4060", cityName = "Kirke Såby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4070", cityName = "Kirke Hyllinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4100", cityName = "Ringsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4129", cityName = "Ringsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4130", cityName = "Viby Sjælland", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4140", cityName = "Borup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4160", cityName = "Herlufmagle", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4171", cityName = "Glumsø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4173", cityName = "Fjenneslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4174", cityName = "Jystrup Midtsj", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4180", cityName = "Sorø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4190", cityName = "Munke Bjergby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4200", cityName = "Slagelse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4220", cityName = "Korsør", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4230", cityName = "Skælskør", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4241", cityName = "Vemmelev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4242", cityName = "Boeslunde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4243", cityName = "Rude", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4250", cityName = "Fuglebjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4261", cityName = "Dalmose", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4262", cityName = "Sandved", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4270", cityName = "Høng", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4281", cityName = "Gørlev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4291", cityName = "Ruds Vedby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4293", cityName = "Dianalund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4295", cityName = "Stenlille", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4296", cityName = "Nyrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4300", cityName = "Holbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4320", cityName = "Lejre", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4330", cityName = "Hvalsø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4340", cityName = "Tølløse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4350", cityName = "Ugerløse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4360", cityName = "Kirke Eskilstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4370", cityName = "Store Merløse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4390", cityName = "Vipperød", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4400", cityName = "Kalundborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4420", cityName = "Regstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4440", cityName = "Mørkøv", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4450", cityName = "Jyderup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4460", cityName = "Snertinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4470", cityName = "Svebølle", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4480", cityName = "Store Fuglede", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4490", cityName = "Jerslev Sjælland", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4500", cityName = "Nykøbing SJ", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4520", cityName = "Svinninge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4532", cityName = "Gislinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4534", cityName = "Hørve", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4540", cityName = "Fårevejle", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4550", cityName = "Asnæs", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4560", cityName = "Vig", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4571", cityName = "Grevinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4572", cityName = "Nørre Asmindrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4573", cityName = "Højby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4581", cityName = "Rørvig", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4583", cityName = "Sjællands Odde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4591", cityName = "Føllenslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4592", cityName = "Sejerø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4593", cityName = "Eskebjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4600", cityName = "Køge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4621", cityName = "Gadstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4622", cityName = "Havdrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4623", cityName = "Lille Skensved", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4632", cityName = "Bjæverskov", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4640", cityName = "Faxe", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4652", cityName = "Hårlev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4653", cityName = "Karise", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4654", cityName = "Faxe Ladeplads", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4660", cityName = "Store Heddinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4671", cityName = "Strøby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4672", cityName = "Klippinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4673", cityName = "Rødvig Stevns", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4681", cityName = "Herfølge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4682", cityName = "Tureby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4683", cityName = "Rønnede", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4684", cityName = "Holmegaard", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4690", cityName = "Haslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4700", cityName = "Næstved", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4720", cityName = "Præstø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4733", cityName = "Tappernøje", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4735", cityName = "Mern", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4736", cityName = "Karrebæksminde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4750", cityName = "Lundby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4760", cityName = "Vordingborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4771", cityName = "Kalvehave", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4772", cityName = "Langebæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4773", cityName = "Stensved", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4780", cityName = "Stege", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4791", cityName = "Borre", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4792", cityName = "Askeby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4793", cityName = "Bogø By", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4800", cityName = "Nykøbing F", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4840", cityName = "Nørre Alslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4850", cityName = "Stubbekøbing", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4862", cityName = "Guldborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4863", cityName = "Eskilstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4871", cityName = "Horbelev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4872", cityName = "Idestrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4873", cityName = "Væggerløse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4874", cityName = "Gedser", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4880", cityName = "Nysted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4891", cityName = "Toreby L", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4892", cityName = "Kettinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4894", cityName = "Øster Ulslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4895", cityName = "Errindlev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4900", cityName = "Nakskov", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4912", cityName = "Harpelunde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4913", cityName = "Horslunde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4920", cityName = "Søllested", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4930", cityName = "Maribo", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4941", cityName = "Bandholm", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4943", cityName = "Torrig L", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4944", cityName = "Fejø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4951", cityName = "Nørreballe", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4952", cityName = "Stokkemarke", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4953", cityName = "Vesterborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4960", cityName = "Holeby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4970", cityName = "Rødby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4983", cityName = "Dannemare", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4990", cityName = "Sakskøbing", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "4992", cityName = "Midtsjælland USF P", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5000", cityName = "Odense C", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5029", cityName = "Odense C", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5100", cityName = "Odense C", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5200", cityName = "Odense V", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5210", cityName = "Odense NV", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5220", cityName = "Odense SØ", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5230", cityName = "Odense M", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5240", cityName = "Odense NØ", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5250", cityName = "Odense SV", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5260", cityName = "Odense S", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5270", cityName = "Odense N", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5290", cityName = "Marslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5300", cityName = "Kerteminde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5320", cityName = "Agedrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5330", cityName = "Munkebo", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5350", cityName = "Rynkeby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5370", cityName = "Mesinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5380", cityName = "Dalby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5390", cityName = "Martofte", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5400", cityName = "Bogense", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5450", cityName = "Otterup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5462", cityName = "Morud", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5463", cityName = "Harndrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5464", cityName = "Brenderup Fyn", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5466", cityName = "Asperup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5471", cityName = "Søndersø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5474", cityName = "Veflinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5485", cityName = "Skamby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5491", cityName = "Blommenslyst", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5492", cityName = "Vissenbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5500", cityName = "Middelfart", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5540", cityName = "Ullerslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5550", cityName = "Langeskov", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5560", cityName = "Aarup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5580", cityName = "Nørre Aaby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5591", cityName = "Gelsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5592", cityName = "Ejby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5600", cityName = "Faaborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5610", cityName = "Assens", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5620", cityName = "Glamsbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5631", cityName = "Ebberup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5642", cityName = "Millinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5672", cityName = "Broby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5683", cityName = "Haarby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5690", cityName = "Tommerup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5700", cityName = "Svendborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5750", cityName = "Ringe", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5762", cityName = "Vester Skerninge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5771", cityName = "Stenstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5772", cityName = "Kværndrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5792", cityName = "Årslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5800", cityName = "Nyborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5853", cityName = "Ørbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5854", cityName = "Gislev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5856", cityName = "Ryslinge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5863", cityName = "Ferritslev Fyn", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5871", cityName = "Frørup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5874", cityName = "Hesselager", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5881", cityName = "Skårup Fyn", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5882", cityName = "Vejstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5883", cityName = "Oure", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5884", cityName = "Gudme", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5892", cityName = "Gudbjerg Sydfyn", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5900", cityName = "Rudkøbing", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5932", cityName = "Humble", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5935", cityName = "Bagenkop", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5953", cityName = "Tranekær", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5960", cityName = "Marstal", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5970", cityName = "Ærøskøbing", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "5985", cityName = "Søby Ærø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6000", cityName = "Kolding", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6040", cityName = "Egtved", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6051", cityName = "Almind", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6052", cityName = "Viuf", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6064", cityName = "Jordrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6070", cityName = "Christiansfeld", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6091", cityName = "Bjert", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6092", cityName = "Sønder Stenderup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6093", cityName = "Sjølund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6094", cityName = "Hejls", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6100", cityName = "Haderslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6200", cityName = "Aabenraa", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6230", cityName = "Rødekro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6240", cityName = "Løgumkloster", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6261", cityName = "Bredebro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6270", cityName = "Tønder", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6280", cityName = "Højer", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6300", cityName = "Gråsten", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6310", cityName = "Broager", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6320", cityName = "Egernsund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6330", cityName = "Padborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6340", cityName = "Kruså", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6360", cityName = "Tinglev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6372", cityName = "Bylderup-Bov", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6392", cityName = "Bolderslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6400", cityName = "Sønderborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6430", cityName = "Nordborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6440", cityName = "Augustenborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6470", cityName = "Sydals", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6500", cityName = "Vojens", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6510", cityName = "Gram", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6520", cityName = "Toftlund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6534", cityName = "Agerskov", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6535", cityName = "Branderup J", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6541", cityName = "Bevtoft", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6560", cityName = "Sommersted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6580", cityName = "Vamdrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6600", cityName = "Vejen", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6621", cityName = "Gesten", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6622", cityName = "Bække", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6623", cityName = "Vorbasse", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6630", cityName = "Rødding", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6640", cityName = "Lunderskov", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6650", cityName = "Brørup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6660", cityName = "Lintrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6670", cityName = "Holsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6682", cityName = "Hovborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6683", cityName = "Føvling", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6690", cityName = "Gørding", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6700", cityName = "Esbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6701", cityName = "Esbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6705", cityName = "Esbjerg Ø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6710", cityName = "Esbjerg V", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6715", cityName = "Esbjerg N", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6720", cityName = "Fanø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6731", cityName = "Tjæreborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6740", cityName = "Bramming", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6752", cityName = "Glejbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6753", cityName = "Agerbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6760", cityName = "Ribe", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6771", cityName = "Gredstedbro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6780", cityName = "Skærbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6792", cityName = "Rømø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6800", cityName = "Varde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6818", cityName = "Årre", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6823", cityName = "Ansager", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6830", cityName = "Nørre Nebel", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6840", cityName = "Oksbøl", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6851", cityName = "Janderup Vestj", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6852", cityName = "Billum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6853", cityName = "Vejers Strand", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6854", cityName = "Henne", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6855", cityName = "Outrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6857", cityName = "Blåvand", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6862", cityName = "Tistrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6870", cityName = "Ølgod", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6880", cityName = "Tarm", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6893", cityName = "Hemmet", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6900", cityName = "Skjern", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6920", cityName = "Videbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6933", cityName = "Kibæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6940", cityName = "Lem St", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6950", cityName = "Ringkøbing", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6960", cityName = "Hvide Sande", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6971", cityName = "Spjald", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6973", cityName = "Ørnhøj", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6980", cityName = "Tim", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "6990", cityName = "Ulfborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7000", cityName = "Fredericia", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7007", cityName = "Fredericia", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7017", cityName = "Taulov Pakkecenter", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7018", cityName = "Pakker TLP", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7029", cityName = "Fredericia", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7080", cityName = "Børkop", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7100", cityName = "Vejle", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7120", cityName = "Vejle Øst", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7130", cityName = "Juelsminde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7140", cityName = "Stouby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7150", cityName = "Barrit", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7160", cityName = "Tørring", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7171", cityName = "Uldum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7173", cityName = "Vonge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7182", cityName = "Bredsten", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7183", cityName = "Randbøl", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7184", cityName = "Vandel", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7190", cityName = "Billund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7200", cityName = "Grindsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7250", cityName = "Hejnsvig", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7260", cityName = "Sønder Omme", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7270", cityName = "Stakroge", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7280", cityName = "Sønder Felding", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7300", cityName = "Jelling", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7321", cityName = "Gadbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7323", cityName = "Give", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7330", cityName = "Brande", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7361", cityName = "Ejstrupholm", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7362", cityName = "Hampen", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7400", cityName = "Herning", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7429", cityName = "Herning", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7430", cityName = "Ikast", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7441", cityName = "Bording", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7442", cityName = "Engesvang", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7451", cityName = "Sunds", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7470", cityName = "Karup J", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7480", cityName = "Vildbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7490", cityName = "Aulum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7500", cityName = "Holstebro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7540", cityName = "Haderup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7550", cityName = "Sørvad", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7560", cityName = "Hjerm", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7570", cityName = "Vemb", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7600", cityName = "Struer", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7620", cityName = "Lemvig", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7650", cityName = "Bøvlingbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7660", cityName = "Bækmarksbro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7673", cityName = "Harboøre", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7680", cityName = "Thyborøn", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7700", cityName = "Thisted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7730", cityName = "Hanstholm", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7741", cityName = "Frøstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7742", cityName = "Vesløs", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7752", cityName = "Snedsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7755", cityName = "Bedsted Thy", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7760", cityName = "Hurup Thy", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7770", cityName = "Vestervig", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7790", cityName = "Thyholm", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7800", cityName = "Skive", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7830", cityName = "Vinderup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7840", cityName = "Højslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7850", cityName = "Stoholm Jyll", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7860", cityName = "Spøttrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7870", cityName = "Roslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7884", cityName = "Fur", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7900", cityName = "Nykøbing M", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7950", cityName = "Erslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7960", cityName = "Karby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7970", cityName = "Redsted M", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7980", cityName = "Vils", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7990", cityName = "Øster Assels", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7992", cityName = "Sydjylland/Fyn USF P", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7993", cityName = "ydjylland/Fyn USF B", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7996", cityName = "Fakturaservice", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7997", cityName = "Fakturascanning", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7998", cityName = "Statsservice", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "7999", cityName = "Kommunepost", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8000", cityName = "Aarhus C", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8100", cityName = "Aarhus C", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8200", cityName = "Aarhus N", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8210", cityName = "Aarhus V", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8220", cityName = "Brabrand", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8229", cityName = "Risskov Ø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8230", cityName = "Åbyhøj", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8240", cityName = "Risskov", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8245", cityName = "Risskov Ø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8250", cityName = "Egå", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8260", cityName = "Viby J", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8270", cityName = "Højbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8300", cityName = "Odder", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8305", cityName = "Samsø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8310", cityName = "Tranbjerg J", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8320", cityName = "Mårslet", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8330", cityName = "Beder", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8340", cityName = "Malling", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8350", cityName = "Hundslund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8355", cityName = "Solbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8361", cityName = "Hasselager", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8362", cityName = "Hørning", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8370", cityName = "Hadsten", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8380", cityName = "Trige", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8381", cityName = "Tilst", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8382", cityName = "Hinnerup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8400", cityName = "Ebeltoft", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8410", cityName = "Rønde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8420", cityName = "Knebel", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8444", cityName = "Balle", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8450", cityName = "Hammel", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8462", cityName = "Harlev J", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8464", cityName = "Galten", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8471", cityName = "Sabro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8472", cityName = "Sporup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8500", cityName = "Grenaa", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8520", cityName = "Lystrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8530", cityName = "Hjortshøj", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8541", cityName = "Skødstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8543", cityName = "Hornslet", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8544", cityName = "Mørke", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8550", cityName = "Ryomgård", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8560", cityName = "Kolind", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8570", cityName = "Trustrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8581", cityName = "Nimtofte", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8585", cityName = "Glesborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8586", cityName = "Ørum Djurs", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8592", cityName = "Anholt", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8600", cityName = "Silkeborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8620", cityName = "Kjellerup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8632", cityName = "Lemming", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8641", cityName = "Sorring", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8643", cityName = "Ans By", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8653", cityName = "Them", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8654", cityName = "Bryrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8660", cityName = "Skanderborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8670", cityName = "Låsby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8680", cityName = "Ry", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8700", cityName = "Horsens", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8721", cityName = "Daugård", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8722", cityName = "Hedensted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8723", cityName = "Løsning", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8732", cityName = "Hovedgård", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8740", cityName = "Brædstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8751", cityName = "Gedved", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8752", cityName = "Østbirk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8762", cityName = "Flemming", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8763", cityName = "Rask Mølle", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8765", cityName = "Klovborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8766", cityName = "Nørre Snede", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8781", cityName = "Stenderup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8783", cityName = "Hornsyld", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8800", cityName = "Viborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8830", cityName = "Tjele", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8831", cityName = "Løgstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8832", cityName = "Skals", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8840", cityName = "Rødkærsbro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8850", cityName = "Bjerringbro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8860", cityName = "Ulstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8870", cityName = "Langå", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8881", cityName = "Thorsø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8882", cityName = "Fårvang", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8883", cityName = "Gjern", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8900", cityName = "Randers C", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8920", cityName = "Randers NV", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8930", cityName = "Randers NØ", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8940", cityName = "Randers SV", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8950", cityName = "Ørsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8960", cityName = "Randers SØ", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8961", cityName = "Allingåbro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8963", cityName = "Auning", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8970", cityName = "Havndal", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8981", cityName = "Spentrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8983", cityName = "Gjerlev J", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "8990", cityName = "Fårup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9000", cityName = "Aalborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9029", cityName = "Aalborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9100", cityName = "Aalborg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9200", cityName = "Aalborg SV", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9210", cityName = "Aalborg SØ", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9220", cityName = "Aalborg Øst", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9230", cityName = "Svenstrup J", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9240", cityName = "Nibe", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9260", cityName = "Gistrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9270", cityName = "Klarup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9280", cityName = "Storvorde", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9293", cityName = "Kongerslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9300", cityName = "Sæby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9310", cityName = "Vodskov", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9320", cityName = "Hjallerup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9330", cityName = "Dronninglund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9340", cityName = "Asaa", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9352", cityName = "Dybvad", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9362", cityName = "Gandrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9370", cityName = "Hals", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9380", cityName = "Vestbjerg", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9381", cityName = "Sulsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9382", cityName = "Tylstrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9400", cityName = "Nørresundby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9430", cityName = "Vadum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9440", cityName = "Aabybro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9460", cityName = "Brovst", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9480", cityName = "Løkken", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9490", cityName = "Pandrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9492", cityName = "Blokhus", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9493", cityName = "Saltum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9500", cityName = "Hobro", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9510", cityName = "Arden", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9520", cityName = "Skørping", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9530", cityName = "Støvring", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9541", cityName = "Suldrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9550", cityName = "Mariager", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9560", cityName = "Hadsund", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9574", cityName = "Bælum", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9575", cityName = "Terndrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9600", cityName = "Aars", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9610", cityName = "Nørager", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9620", cityName = "Aalestrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9631", cityName = "Gedsted", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9632", cityName = "Møldrup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9640", cityName = "Farsø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9670", cityName = "Løgstør", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9681", cityName = "Razip", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9690", cityName = "Fjerritslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9700", cityName = "Brønderslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9740", cityName = "Jerslev J", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9750", cityName = "Østervrå", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9760", cityName = "Vrå", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9800", cityName = "Hjørring", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9830", cityName = "Tårs", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9850", cityName = "Hirtshals", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9870", cityName = "Sindal", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9881", cityName = "Bindslev", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9900", cityName = "Frederikshavn", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9940", cityName = "Læsø", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9970", cityName = "Strandby", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9981", cityName = "Jerup", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9982", cityName = "Ålbæk", zipCodeRangeStart = "0" },
            new ZipCodeInfo() { zipCode = "9990", cityName = "Skagen", zipCodeRangeStart = "0" },
         };
        #endregion
     }
 }
